GET private-locations
Retrieves a list of private locations for the current customer.
Request example
curl --request GET "https://api-asm1.apica.io/v3/private-locations?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
[
{
"access_group": "bbb1208d-09e8-48ce-bfc2-b696c107cf8f",
"private_locations": [
{
"private_location_id": "f393e042-9209-472d-8cb5-9451d36da44a",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "dfa8adf5-c2ff-4e23-a28e-581b7cf249d3"
},
{
"private_location_id": "2355c4db-07e2-41a7-9899-f81c44c3f8a6",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "27f66907-8ded-45b4-8d33-083b24aca39d"
},
{
"private_location_id": "3d461055-478c-45b3-903b-37ee804b8433",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "9db46cd1-e5fa-402d-978c-f641cf088b9b"
}
]
},
{
"access_group": "6a4073d9-ddb9-4d36-a9fa-e1966dbbf3fc",
"private_locations": [
{
"private_location_id": "f393e042-9209-472d-8cb5-9451d36da44a",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "dfa8adf5-c2ff-4e23-a28e-581b7cf249d3"
},
{
"private_location_id": "2355c4db-07e2-41a7-9899-f81c44c3f8a6",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "27f66907-8ded-45b4-8d33-083b24aca39d"
},
{
"private_location_id": "f393e042-9209-472d-8cb5-9451d36da44a",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "dfa8adf5-c2ff-4e23-a28e-581b7cf249d3"
}
]
},
{
"access_group": "e52f5a42-1dfb-4c92-8e0f-a046eb0ad7f8",
"private_locations": [
{
"private_location_id": "2355c4db-07e2-41a7-9899-f81c44c3f8a6",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "27f66907-8ded-45b4-8d33-083b24aca39d"
},
{
"private_location_id": "f393e042-9209-472d-8cb5-9451d36da44a",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "dfa8adf5-c2ff-4e23-a28e-581b7cf249d3"
},
{
"private_location_id": "2355c4db-07e2-41a7-9899-f81c44c3f8a6",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "27f66907-8ded-45b4-8d33-083b24aca39d"
}
]
}
]
| Name | Type | Description |
|---|---|---|
| AccessGroup | Guid |
Unique identifier for the access group associated with the private locations. |
| PrivateLocations | Object |
A list of private location details. |
| PrivateLocationId | Guid |
Unique identifier for the private location. |
| Enabled | Boolean |
Indicates whether the private location is enabled. |
| Geoloc | String |
Geographical location of the private location. |
| CustomerGuid | Guid |
Customer identifier associated with the private location. |